Skip to main content

POST v3/orderAttachments

POST 

/v3/orderAttachments

Attach a PDF to an order, to be printed during picking.

The POST /v3/orderAttachments endpoint allows linking an attachment to an order for printing during the picking process.

⚠ orderAttachments is part of the POST /v3/orders.​

⚠ See endpoint POST /v3/orders.

Request​

When submitting an orderAttachment, the order to which it will be attached must be created prior to attaching, but before the order is fulfilled.

Response​

Upon successful creation of the orderAttachment the response will contain the created orderAttachment resource and the relation to the order. The contents of the attachment is suppressed from the response..

Limitations to POST v3/orderAttachments​

There are limitations to what and when orderAttachments can be attached to orders:

  • As long as the order is not completely fulfilled and some items remain to be shipped, an orderAttachment can be added to the order. Attempting to add an orderAttachment afterwards will result in an error.
  • Only valid pdf documents can be submitted as orderAttachment.
  • Only document with a single page sizes in A4 or A5 are supported. So mixing of A4 with A5 formats is not possible in a single orderAttachment.
  • There is a file sizelimit and page limit to each orderAttachment.

Request​

Responses​

Upon successful submission of the orderAttachment the details are returned, excluding the attachment's contents. If the externalOrderNumber was provided it is also not returned, but instead its relation to the order is added under relationships.